> ## Documentation Index
> Fetch the complete documentation index at: https://developers.loyaltylion.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Review

<Note>
  Required scope: `write_reviews`

  This endpoint is in preview, and is only available to partners and merchants who
  have opted-in
</Note>

Use this endpoint to delete a review. Deleting a review cannot be undone, and
will void any associated customer activities triggered by the review rule.

To delete a review you'll need the `platform` and the `merchant_id` you sent to
LoyaltyLion when you first created the review.


## OpenAPI

````yaml /api-reference/v2/openapi.json DELETE /v2/reviews/{platform}/{merchant_id}
openapi: 3.1.1
info:
  title: LoyaltyLion Admin API
  version: v2
servers:
  - url: https://api.loyaltylion.com
security: []
tags:
  - name: identity
  - name: activities
  - name: orders
  - name: transactions
  - name: customers
  - name: webhooks
  - name: emails
  - name: sites
  - name: reviews
  - name: rewards
  - name: integrations
  - name: gatsby
paths:
  /v2/reviews/{platform}/{merchant_id}:
    delete:
      tags:
        - reviews
      operationId: reviews.deleteReview
      parameters:
        - name: platform
          in: path
          required: true
          schema:
            example: custom
            type: string
            minLength: 1
          description: >-
            The review platform. Use your platform identifier if you are a
            review partner, or "custom" if you are a merchant integrating a
            custom reviews app
        - name: merchant_id
          in: path
          required: true
          schema:
            type: string
            minLength: 1
          description: The ID of the review in the review platform
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReviewsDeleteReviewResponseBody'
        '400':
          $ref: '#/components/responses/ClientErrorBadRequest'
        '401':
          description: '401'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                      details:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          type: string
                    required:
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                      details:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          type: string
                    required:
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '404':
          description: '404'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        const: not_found
                      message:
                        type: string
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '422':
          description: '422'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    oneOf:
                      - $ref: '#/components/schemas/ReviewsUnsupportedPlatformError'
                    type: object
                    discriminator:
                      propertyName: code
                      mapping:
                        unsupported_platform:
                          $ref: '#/components/schemas/ReviewsUnsupportedPlatformError'
                required:
                  - error
                additionalProperties: false
        '429':
          description: '429'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        const: rate_limited
                    required:
                      - code
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
      security:
        - ProgramApiKey:
            - write_reviews
components:
  schemas:
    ReviewsDeleteReviewResponseBody:
      type: object
      properties:
        deleted:
          description: >-
            A boolean indicating if the review was deleted. If the review was
            already deleted, this will be `false`
          type: boolean
      required:
        - deleted
      additionalProperties: false
    ReviewsUnsupportedPlatformError:
      title: Unsupported platform
      description: This review platform is not supported for the authenticating API token
      type: object
      properties:
        code:
          type: string
          const: unsupported_platform
      required:
        - code
      additionalProperties: false
  responses:
    ClientErrorBadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  message:
                    type: string
                  details:
                    type: object
                    additionalProperties:
                      type: string
                required:
                  - message
            required:
              - error
  securitySchemes:
    ProgramApiKey:
      type: http
      scheme: bearer
      description: >-
        An API key linked to a Program in LoyaltyLion, with a set of permissions
        (scopes). API keys can be created manually, or acquired through an
        OAuth2 flow. The API key should be provided as a `Bearer` token in the
        `Authorization` header

````